Cómo actualizar los pods a Swift 3.0

Actualmente en el process de migration a Swift 3.0. Esta es la primera vez que hago algo como esto y no estoy completamente seguro de cómo lidiar con los diversos pods que estoy usando. Por ejemplo, estoy usando el pod SwiftDate: https://github.com/malcommac/SwiftDate . La twig Swift 3.0 no está en el maestro, así que supongo que la pod update ejecutable no extraerá la versión Swift 3.0. ¿Estoy en lo cierto al poner vaina:

'SwiftDate', :git => 'https://github.com/malcommac/SwiftDate.git', :branch => 'feature/swift-3.0'

en mi file de pod y luego ejecutando la actualización? Al revisar la página de github parece que esta es la twig correcta. ¿Se deben especificar las twigs solo de esta manera cuando la versión Swift 3.0 no está en el maestro? ¡Cualquier consejo y sugerencias sobre esto sería muy apreciado! ¡Gracias!

En primer lugar, necesitas actualizar tu CocaPod si no lo has hecho.

Abra el terminal y ejecute:

 sudo gem install cocoapods --pre 

Luego agregue la parte de actualización a su pod:

 pod 'SwiftDate', :git => 'https://github.com/malcommac/SwiftDate.git', :branch => 'feature/swift-3.0' 

Luego, en la pod update ejecución de terminal